View Issue Details

IDProjectCategoryView StatusLast Update
0005241OXID eShop (all versions)1.01. Products (product, categories, manufacturer, promotions etc.)public2022-02-01 16:46
ReporterGhostGambler 
PrioritynormalSeverityfeatureReproducibilityalways
Status confirmedResolutionopen 
Product Version4.7.3 / 5.0.3 revision 54408 
Target VersionNext Major VersionFixed in Version 
Summary0005241: Sorting is saved to session—which is not nice.
DescriptionThe selected sorting is stored in session. This results in practically ignoring default sorting of categories as soon as the user selected a custom sort and this for as long as the session lasts. This might be long and might confuse the user if he accidentally selected a sorting which makes less sense. He cannot "repair" this situation by simply going back to the homepage, start over and click on the category again. He will end up in the same "broken" view. This is unintuitive.
The problem becomes more severe if categories are fundamentally different and therefore require different default sorting. If one selects a sorting in one category, it is automatically applied to all other pages—nevertheless if it actually makes sense or not.

In our opinion it would make more sense to pass the selected sorting on as a GET-Parameter. This is also the only REST-ful way of implementing sorting, while the current solution does not respect this standard.
Right now one cannot share a link to a list-page with another customer if the former one selected another sorting. The receiver won't see the same articles, since the sorting is not transferred as part of the URL. Following the REST-theory this should be the case. Everybody should see the same content under the same URL.
This becomes also relevant when bookmarking pages for later, sharing pages on Facebook/Twitter and so on and so forth.

Would be nice to see this fixed.
TagsNo tags attached.
ThemeAll
BrowserAll
PHP VersionNot defined
Database VersionNot defined

Relationships

related to 0005631 resolvedLinas Kukulskis Category default sorting leads to empty category lists when switching languages 
related to 0006083 resolvedanton.fedurtsya article sorting fields not verified against valid field from admin settings 
related to 0005839 acknowledged Category default sorting gets saved as user sorting 

Activities

jurate.baseviciene

2014-05-15 12:42

reporter   ~0009909

Waiting for the PO decision.

keywan.ghadami

2016-08-12 14:21

manager   ~0011730

saving sorting in session makes browser caching impossible and varnish caching more complicated. So using request parameter would make this things much easier.

Sven Brunk

2022-01-28 15:30

administrator   ~0013550

We could think about changing this to make it configurable. Actually the current shop adds all the necessary parameters when you change the sorting. Example:

https://demoshop.oxid-esales.com/community-edition/Wakeboarding/Wakeboards/?ldtype=infogrid&_artperpage=10&listorderby=oxtitle&listorder=desc&pgNr=0&cl=alist&searchparam=&cnid=0f4270b89fbef1481958381410a0dbca

I guess that does not fix caching issues, but it also shows, there are also other aspects involved:
If we always send all those parameters, all URLs will look ugly and might confuse users.
At the same time it does not help the first mentioned issue unless we do not add these parameters to links to other categories.
At that point we would lose a lot of comfort for people that actually WANT the same sorting on every category.

Possible solutions (non-exclusive):
- We make the behaviour configurable
- we allow an override of the behaviour on the category level
- we add a simple share button/link that copies the link to the current category page including all parameters

GhostGambler

2022-01-28 15:54

reporter   ~0013552

My opinion has not changed in the last 6 years:

REST standard is pretty clear; viewable content should only depend on the URL.

Storing view parameters in the session is confusing for anyone not knowing it. Basically everyone expects to be able to "reset" issues by going to the start (Homepage) and start over again. Does not work that way with sessions.

"Ugly" URLs are practically no issue for anyone. SEO does not depend on it. Modern browser hide most of the URL anyway.

Sven Brunk

2022-02-01 16:46

administrator   ~0013683

Okay, thanks. Then let's get a little traction on this. ( No promises for any release date of course )